Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class AbstractClasspathEntry

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

All Implemented Interfaces:
  ClasspathEntry

    abstract class AbstractClasspathEntry

Authors:
  Hans Dockter

Field Summary
`static String` | `COMPONENT_DEPENDENCY_ATTRIBUTE`
`static String` | `COMPONENT_NON_DEPENDENCY_ATTRIBUTE`

Property Summary
`Set` | `accessRules`
`Map` | `entryAttributes`
`boolean` | `exported`
`String` | `path`

Constructor Summary
`AbstractClasspathEntry(Node node)`
`AbstractClasspathEntry(String path)`

Method Summary
`protected Node` | `addClasspathEntry(Node node, Map attributes)`
`void` | `appendNode(Node node)`
`boolean` | `equals(def o)`
`String` | `getNativeLibraryLocation()`
`int` | `hashCode()`
`protected String` | `normalizePath(String path)`
`void` | `setNativeLibraryLocation(String location)`
`String` | `toString()`
`void` | `writeEntryAttributes(Node node)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### COMPONENT_DEPENDENCY_ATTRIBUTE

    public static final String COMPONENT_DEPENDENCY_ATTRIBUTE

### COMPONENT_NON_DEPENDENCY_ATTRIBUTE

    public static final String COMPONENT_NON_DEPENDENCY_ATTRIBUTE

Property Detail

### accessRules

    Set accessRules

### entryAttributes

    final Map entryAttributes

### exported

    boolean exported

### path

    String path

Constructor Detail

### AbstractClasspathEntry

    AbstractClasspathEntry(Node node)

### AbstractClasspathEntry

    AbstractClasspathEntry(String path)

Method Detail

### addClasspathEntry

    protected Node addClasspathEntry(Node node, Map attributes)

### appendNode

    void appendNode(Node node)

### equals

    boolean equals(def o)

### getNativeLibraryLocation

    String getNativeLibraryLocation()

### hashCode

    int hashCode()

### normalizePath

    protected String normalizePath(String path)

### setNativeLibraryLocation

    final void setNativeLibraryLocation(String location)

### toString

    String toString()

### writeEntryAttributes

    void writeEntryAttributes(Node node)

Gradle API 1.1-rc-1